# filter plugins
%global __provides_exclude_from ^(^%{_qt5_plugindir}/.*\\.so)$

%define _with_zeitgeist 0

%define phonon4qt5experimental_major 4
%define libphonon4qt5experimental %mklibname phonon4qt5experimental %{phonon4qt5experimental_major}

%define phonon4qt5_major 4
%define libphonon4qt5 %mklibname phonon4qt5_ %{phonon4qt5_major}

Name:           phonon
Summary:        KDE Multimedia Framework
Version:        4.11.1
Release:        %mkrel 1
Url:            http://phonon.kde.org/
License:        LGPLv2+
Group:          Graphical desktop/KDE5
Source0:        http://download.kde.org/stable/phonon/%{version}/%{name}-%{version}.tar.xz
Patch24:        0024-fix-double-encoding-problem-with-MRLs.patch

BuildRequires:  imagemagick
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(libxml-2.0)

%if %{_with_zeitgeist}
BuildRequires:  pkgconfig(QZeitgeist)
%endif

BuildRequires:  kf5-macros
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Designer)
BuildRequires:  pkgconfig(Qt5OpenGL)
BuildRequires:  pkgconfig(Qt5Xml)

%description
Phonon is the KDE Multimedia Framework.

#--------------------------------------------------------------------

### Qt5 ###

%package -n     %{libphonon4qt5}
Summary:        Phonon4Qt5 library
Group:          System/Libraries
Requires:       phonon4qt5

%description -n %{libphonon4qt5}
Phonon4Qt5 library.

%files -n %{libphonon4qt5}
%dir %{_qt5_plugindir}/phonon4qt5_backend
%{_kf5_libdir}/libphonon4qt5.so.%{phonon4qt5_major}*
%{_kf5_libdir}/libphonon4qt5experimental.so.%{phonon4qt5experimental_major}*
#--------------------------------------------------------------------

%package -n     phonon4qt5
Group:          System/Libraries
Summary:        Plasma Multimedia Framework api for Qt5
Requires:       %{libphonon4qt5}

%description -n phonon4qt5
Phonon is the Plasma Multimedia Framework api for Qt5.

%files -n phonon4qt5 
%{_kf5_bindir}/phononsettings

#--------------------------------------------------------------------

%package -n     phonon4qt5-devel
Group:          Development/Libraries
Summary:        Header files and documentation for compiling KDE applications
Requires:       %{libphonon4qt5}
Provides:       cmake(Phonon4Qt5) = %{version}
Provides:       cmake(Phonon4Qt5Experimental) = %{version}

%description -n phonon4qt5-devel
This package includes the header files you will need to compile applications
for KDE. Also included is the KDE API documentation in HTML format for easy
browsing.

%files -n phonon4qt5-devel
%{_kf5_datadir}/phonon4qt5/buildsystem
%{_includedir}/phonon4qt5/
%{_kf5_libdir}/libphonon4qt5.so
%{_kf5_libdir}/libphonon4qt5experimental.so
%{_kf5_libdir}/pkgconfig/phonon4qt5.pc
%{_kf5_libdir}/cmake/phonon4qt5/
%{_kf5_mkspecsdir}/qt_phonon4qt5.pri
%{_qt5_plugindir}/designer/phononwidgets.so

### END Qt5
#--------------------------------------------------------------------

%prep
%setup -q
%patch24 -p1 -R -b .24

%build

%cmake_qt5 \
    -Wno-dev \
    -DPHONON_BUILD_PHONON4QT5:BOOL=ON \
    -DPHONON_INSTALL_QT_EXTENSIONS_INTO_SYSTEM_QT:BOOL=ON \
    ../..
%make_build

%install
%make_install -C build
mkdir -p %{buildroot}%{_qt5_plugindir}/phonon4qt5_backend

#don't need this
rm -rf %buildroot/%{_datadir}/locale


%changelog
* Thu Jul 23 2020 tex - 4.11.1-1pclos2020
- new version split out qt4 into separate package
